<?php

namespace Drupal\bulk_import_export_interface_translation\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

/**
 * Listens to the dynamic route events.
 */
class RouteSubscriber extends RouteSubscriberBase {

  /**
   * Alter routes.
   *
   * If the export form is acced it will render overridden form
   * for providing bulk export feature.
   *
   * @param \Symfony\Component\Routing\RouteCollection $collection
   *   A collection of routes.
   */
  protected function alterRoutes(RouteCollection $collection) {
    if ($route = $collection->get('locale.translate_export')) {
      $route->setDefault('_form', '\Drupal\bulk_import_export_interface_translation\Form\BulkExportForm');
    }
  }

}
